Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001000 [Piwigo] image processing feature N/A 2009.05.20 22:08 2010.04.14 17:39
Reporter vaxvms View Status public  
Assigned To nikrou
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.0.4 Product Version 2.0.2
  Target Version Product Build
Summary 0001000: Configuration option for thumbnail directory
Description This patch add a configuration option to change the thumbnail directory name. I'm using it to put thumbnail in an hidden directory.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files ? file icon dir_thumbnail.patch [^] (1,835 bytes) 2009.05.20 22:08 [Show Content]

- Relationships

-  Notes
(0002768)
ddtddt (administrator)
2009.07.30 12:00

Isn't rather a tool to be proposed in the extensions?

Extensions : http://piwigo.org/ext/ [^]
(0002779)
mathiasm (manager)
2009.07.31 00:09

IMO, his choice is good. it is managed in the same way as the prefix choice.
Default value should be the standard "thumbnail", btw.
(0002787)
plg (manager)
2009.07.31 23:09

vaxvms, in function mkget_thumbnail_dir didn't you forget a:

global $conf;

?

mathiasm wrote:

> Default value should be the standard "thumbnail", btw.

If you read the patch file, the default value IS "thumbnail" :-)
(0002792)
nikrou (developer)
2009.08.02 15:04

added in [Subversion] r3720
(0002837)
svn (reporter)
2009.08.18 21:11

[Subversion] r3750 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Fix for feature 1000: cannot access $conf array (use global)
(0002841)
mathiasm (manager)
2009.08.19 01:01

Does pLoader already handle this path, or does it need a patch too?
(0003762)
plg (manager)
2010.04.14 17:38

mathiasm wrote:
> Does pLoader already handle this path, or does it need
> a patch too?

pLoader complies with this new feature.

- Issue History
Date Modified Username Field Change
2009.05.20 22:08 vaxvms New Issue
2009.05.20 22:08 vaxvms File Added: dir_thumbnail.patch
2009.05.20 22:08 vaxvms browser => any
2009.05.20 22:08 vaxvms Web server => Apache 1.3.x
2009.07.30 12:00 ddtddt Note Added: 0002768
2009.07.31 00:09 mathiasm Note Added: 0002779
2009.07.31 00:10 mathiasm Status new => acknowledged
2009.07.31 23:09 plg Note Added: 0002787
2009.08.02 15:00 nikrou Status acknowledged => assigned
2009.08.02 15:00 nikrou Assigned To => nikrou
2009.08.02 15:04 nikrou Note Added: 0002792
2009.08.02 15:04 nikrou Status assigned => resolved
2009.08.02 15:04 nikrou Resolution open => fixed
2009.08.18 21:11 svn Checkin
2009.08.18 21:11 svn Note Added: 0002837
2009.08.19 01:01 mathiasm Note Added: 0002841
2010.04.14 17:38 plg Note Added: 0003762
2010.04.14 17:39 plg Status resolved => closed
2010.04.14 17:39 plg Fixed in Version => 2.0.4


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker